
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于REST的Web服务：基础 / iVAN</title>

    <meta name="description" content="基于REST的Web服务：基础 基础 REST 定义了一组体系架构原则,您可以根据这些原则设计以系统资源为中心的 Web 服务,包括使用不同语言编写的客户端如何通过 HTTP 处理和传输资源状态.如果考虑使用它的 Web 服务的数量,REST 近年来已经成为最主要的 Web 服务设计模型.事实上,REST 对 Web 的影响非常大,由于其使用相当方便,已经普遍地取代了基于 SOAP 和 WSDL 的接口设计. REST 这个概念于 2000 年由 Roy Fielding 在就读加州大学欧文分校期间在学术论文&quot;Arc ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于REST的Web服务：基础</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>基础</p>
<p>REST 定义了一组体系架构原则，您可以根据这些原则设计以系统资源为中心的 Web 服务，包括使用不同语言编写的客户端如何通过 HTTP 处理和传输资源状态。如果考虑使用它的 Web 服务的数量，REST 近年来已经成为最主要的 Web 服务设计模型。事实上，REST 对 Web 的影响非常大，由于其使用相当方便，已经普遍地取代了基于 SOAP 和 WSDL 的接口设计。</p>
<p>REST 这个概念于 2000 年由 Roy Fielding 在就读加州大学欧文分校期间在学术论文“Architectural Styles and the Design of Network-based Software Architectures”首次提出，他的论文中对使用 Web 服务作为分布式计算平台的一系列软件体系结构原则进行了分析，而其中提出的 REST 概念并没有获得现在这么多关注。多年以后的今天，REST 的主要框架已经开始出现，但仍然在开发中，因为它已经被广泛接纳到各个平台中，例如通过 JSR-311 成为了 Java 6 不可或缺的部分。</p>
<p>本文认为，对于今天正在吸引如此多注意力的最纯粹形式的 REST Web 服务，其具体实现应该遵循四个基本设计原则：</p>
<p>显式地使用 HTTP 方法。</p>
<p>无状态。</p>
<p>公开目录结构式的 URI。</p>
<p>传输 XML、JavaScript Object Notation (JSON)，或同时传输这两者。</p>
<p>下面几个部分将详述这四个原则，并提供技术原理解释，说明为什么这些原则对 REST Web 服务设计人员非常重要。</p>
<p>显式地使用 HTTP 方法</p>
<p>基于 REST 的 Web 服务的主要特征之一是以遵循 RFC 2616 定义的协议的方式显式使用 HTTP 方法。例如，HTTP GET 被定义为数据产生方法，旨在由客户端应用程序用于检索资源以从 Web 服务器获取数据，或者执行某个查询并预期 Web 服务器将查找某一组匹配资源然后使用该资源进行响应。</p>
<p>REST 要求开发人员显式地使用 HTTP 方法，并且使用方式与协议定义一致。这个基本 REST 设计原则建立了创建、读取、更新和删除（create, read, update, and delete，CRUD）操作与 HTTP 方法之间的一对一映射。根据此映射：</p>
<p>若要在服务器上创建资源，应该使用 POST 方法。</p>
<p>若要检索某个资源，应该使用 GET 方法。</p>
<p>若要更改资源状态或对其进行更新，应该使用 PUT 方法。</p>
<p>若要删除某个资源，应该使用 DELETE 方法。</p>
<p>许多 Web API 中所固有的一个令人遗憾的设计缺陷在于将 HTTP 方法用于非预期用途。例如，HTTP GET 请求中的请求 URI 通常标识一个特定的资源。或者，请求 URI 中的查询字符串包括一组参数，这些参数定义服务器用于查找一组匹配资源的搜索条件。至少，HTTP/1.1 RFC 是这样描述 GET 方法的。但是在许多情况下，不优雅的 Web API 使用 HTTP GET 来触发服务器上的事务性操作——例如，向数据库添加记录。在这些情况下，GET 请求 URI 属于不正确使用，或者至少不是以基于 REST 的方式使用。如果 Web API 使用 GET 调用远程过程，则应该类似如下：</p>
<p>GET /adduser?name=Robert HTTP/1.1</p>
<p>这不是非常优雅的设计，因为上面的 Web 方法支持通过 HTTP GET 进行状态更改操作。换句话说，该 HTTP GET 请求具有副作用。如果处理成功，则该请求的结果是向基础数据存储区添加一个新用户——在此例中为 Robert。这里的问题主要在语义上。Web 服务器旨在通过检索与请求 URI 中的路径（或查询条件）匹配的资源，并在响应中返回这些资源或其表示形式，从而响应 HTTP GET 请求，而不是向数据库添加记录。从该协议方法的预期用途的角度看，然后再从与 HTTP/1.1 兼容的 Web 服务器的角度看，以这种方式使用 GET 是不一致的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:21:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/%e8%b5%84%e6%ba%90/" title="资源">资源</a>, <a href="https://www.iamivan.net/tag/%e5%8e%9f%e5%88%99/" title="原则">原则</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/rest/" title="REST">REST</a>, <a href="https://www.iamivan.net/tag/rest%e8%af%b7%e6%b1%82/" title="rest请求">rest请求</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e5%83%8f%e6%a3%80%e7%b4%a2-http%e5%8d%8f%e8%ae%ae/" title="图像检索 http协议">图像检索 http协议</a>, <a href="https://www.iamivan.net/tag/http-get%e6%96%b9%e6%b3%95/" title="http&period;get方法">http&period;get方法</a>, <a href="https://www.iamivan.net/tag/rest%e5%93%8d%e5%ba%94%e6%8a%a5%e6%96%87/" title="rest响应报文">rest响应报文</a>, <a href="https://www.iamivan.net/tag/rest%e5%8f%82%e6%95%b0/" title="Rest参数">Rest参数</a>, <a href="https://www.iamivan.net/tag/%e5%ad%a6%e6%9c%af%e6%a3%80%e7%b4%a2/" title="学术检索">学术检索</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于REST的Web服务：基础的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYJB8b.html" rel="bookmark">用Axis和SOAP开发基于JAX-RPC的Web服务（2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.         Web 服务示例:订单处理&lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft-com:office:office&quot; /&gt; 我之所以选择&quot;订单处理&quot;作为示例,是因为它比较接近实际的商业用例.该Web服务能够处理,更新一个给定的订单.为了达到这个目的,它必须具有两个方法:processOrder和updateOrder.方法processOrder具有一个IN参数orderID和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62Q2WM.html" rel="bookmark">用JAX-RPC构建RPC服务和客户机&colon;使用Java API构建基于RPC的Web服务&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介:远程过程调用(RPC)是基于 Simple Object Access Protocol(SOAP)或 Representational State Transfer(REST)的现代 Web 服务的前身.因为所有 Java 平台的 Web 服务 API 都构建 在从 RPC 引入的概念之上,所以要想用 Java 语言编写有效且高效的 Web 服务,理解 Java API for XML-Based RPC(JAX-RPC)几乎是必需的.本教程讲解如何获取.安装和配置 JAX-RPC 并构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ95rb.html" rel="bookmark">基于Jave的Web服务工作机制&lpar;7&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|web服务 sendStaticResource 方法是非常简单的.它首先传递父路径和子路径给File类的构造器,从而对java.io.File类进行了实例化. File file = new File(HttpServer.WEB_ROOT, request.getUri()); 然后它检查文件是否存在.如果存在,sendStaticResource 方法通过传递File对象来构造一个java.io.FileInputStream对象.然后调用FileInputStream 的read			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b395Np.html" rel="bookmark">基于Jave的Web服务工作机制&lpar;6&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|web服务 parseUri 方法从请求行那里得到URI.Listing 1.3 展示了parseUri 方法的用途. parseUri 减缩请求中的第一个和第二个空格来获得URI. Listing 1.3. The Request class' parseUri method private String parseUri(String requestString) { int index1, index2; index1 = requestString.indexOf(' '); i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1dljb.html" rel="bookmark">基于Jave的Web服务工作机制&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个WEB服务器也被称为一个HTTP服务器,因为它使用HTTP协议和它的客户进行通讯,而这些客户通常是浏览器. 一个基于JAVA的WEB服务器使用了两个重要的类:java.net.Socket和java.net.ServerSocket,并且是通过HTTP消息进行通讯的.本文开头将讨论HTTP和这两个类,后面,将解释一个简单WEB服务器应用程序的工作机制. 超文本传输协议 (HTTP) HTTP协议允许服务器和客户机通过INTERNET接收和发送数据.它是个请求和回应协议----客户机发送请求,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBLB4b.html" rel="bookmark">用JAX-RPC构建RPC服务和客户机&colon;使用Java API构建基于RPC的Web服务&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				构建客户机来访问 Web 服务 到目前为止,我们用了很多篇幅讨论 JAX-RPC,但是还没有实际使用这个 API.即使在自动部署 BookSearcher 类时,与 JAX-RPC 相关的工作也是由 Axis 完成的.现在,要让 JAX-RPC 发挥作用了. 构建了希望访问的 Web 服务之后,需要编写客户机来使用 Web 服务. 更新类路径 在开始编写代码之前,需要修改类路径.在前面,已经把几个 JAR 文件放在 servlet 引擎的 lib/ 目录中,并使用 Axis 检验 JSP 确认这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr1V5p.html" rel="bookmark">用Axis开发基于Java的Web服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 本文介绍了一个比较简单实用的基于Java的SOAP引擎--Apache组织推出的 Axis--的安装.配置和应用开发方法,希望对有兴趣做基于Java的Web Services应用开发的朋友有所帮助. Axis简介 Axis是Apache组织推出的SOAP引擎,Axis项目是Apache组织著名的SOAP项目 的后继项目,目前最新版本是采用Java开发的1.1版本,C++的版本正在开发之中 .Axis v1.1软件包可以从http://ws.apache.org/axis/dist/1_1/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXZwLb.html" rel="bookmark">基于Jave的Web服务工作机制&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ServerSocket 类  Socket 类表示的是客户端的socket.无论什么时候,只要你想连接到一个远程服务器的应用,你都要构建一个socket.如果你想执行一个服务器应用程序,比如HTTP服务或者FTP服务的程序,那么你需要使用不同的途径.因为你的服务器必须一直是开机闲置,所以它不知道什么时候客户机试图来连接它. 这个时候,需要使用java.net.ServerSocket 类.它会实现一个服务器socket.一个服务器socket会等待来自客户端的连接.一旦它接收到一个连接请求,它			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6dNJz.html" rel="bookmark">基于Jave的Web服务工作机制&lpar;4&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在下面的段落中,让我们来看看这三个类吧.  HttpServer 类 HttpServer类表示一个web服务器,且在公共静态目录WEB_ROOT及它的子目录中能为找到的那些静态资源而服务.WEB_ROOT用以下方式初始化: public static final String WEB_ROOT = System.getProperty(&quot;user.dir&quot;) + File.separator + &quot;webroot&quot;; 这段代码指明了一个包含静态资源的webroot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYjXBp.html" rel="bookmark" class="title">int类型-求解，研究了一晚都没研究好！</a>
					<div>
						问题描述 求解,研究了一晚都没研究好! sun是int类型,count是int类型,sum能正常输出一个数字,sun/count就报错. 解决方案 sun/count 出错,出什么错呢?一般来说,su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM19K8M.html" rel="bookmark" class="title">Ajax动态更新页面</a>
					<div>
						ajax|动态|页面   业务逻辑:动态添加员工信息至列表,列表动态删除员工信息     页面:employeeList.jsp &lt;html&gt;&lt;head&gt;&lt;title&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXLkAp.html" rel="bookmark" class="title">在同一窗体中使用PHP来处理多个提交任务</a>
					<div>
						在PHP中的处理窗体数据比其它网页程序语言更简单--如果你使用这种语言一段时间后,你会发现这是一个不可争辩的事实.这种操作的简易性使它可以容易地处理更为复杂的窗体事件,包括今天讨论的主题,即在同一个窗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJKL4b.html" rel="bookmark" class="title">VBScript基础教程之十二在VBScript中使用对象</a>
					<div>
						vbscript|对象|基础教程 使用对象 无论使用的是 ActiveX? 控件(以前称为 OLE 控件)还是 Java? 对象,Microsoft Visual Basic Scripting Ed ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg92Zz.html" rel="bookmark" class="title">PHP3&sol;4&period;1 register</a>
					<div>
						由于早期(PHP3/4.1)的uploadfile所产生的变量仅仅为 $uploadfile $uploadfile_name $uploadfile_size $uploadfile_type 而现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boAxEp.html" rel="bookmark" class="title">IIS5 UNICODE 编码漏洞的利用心得补充</a>
					<div>
						iis|编码|心得 看了你的文章[unicode]写的很好, 我来说说用tftp怎么搞: 下载http://www.cners.com/tools/unicode.zip(下载快着呢) 解压: tft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPE18z.html" rel="bookmark" class="title">局域网内大量用户的IP地址冲突的原因</a>
					<div>
						问题现象:近几日,公司大量用户电脑开机后提示&quot;IP地址冲突&quot;,无法ping通网关:查看本机ARP表,未见异常:甚至手动设置为一个绝对不会有机器使用的IP地址后,依然提示地址冲突.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAeyOb.html" rel="bookmark" class="title">Windows 7笔记本省电池的省电秘诀</a>
					<div>
						你有没有在重要会议期间或长途飞行中发现Win7笔记本电池没电了?即使使用 的是新技术,单次充电的便携式计算机也只能持续这么久.现在您可能已经有办 法确保自己的Win7本本始终有电,比如您带有备用电池或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElK7Lz.html" rel="bookmark" class="title">dos2unix格式转换之工具篇</a>
					<div>
						1, 使用Eclipse格式转换: Eclipse转换有个局限,只能对特定文件类型进行转换. 1) 新 建项目以Unix格式: Windows à preferences: 2) 对已建项目: a.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2mvJb.html" rel="bookmark" class="title">HTML元素&colon;isindex</a>
					<div>
						  定义 使浏览器显示一个对话框,提示用户输入单行文本. Causes the browser to display a dialog window that prompts the user for ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7Po8M.html" rel="bookmark" class="title">JavaScript获取URL汇总</a>
					<div>
						  在WEB开发中,许多开发者都比较喜欢使用javascript来获取当前url网址,本文就此为大家总结一下比较常用获取URL的javascript实现代码 URL即统一资源定位符 (Uniform  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62RRXM.html" rel="bookmark" class="title">PhotoShop绘制多彩的苹果标志教程</a>
					<div>
						最终效果 1.首先我们需要创建一个分辨率72dpi尺寸为1600×1200像素的文件;绘制被咬掉的苹果图形,如图所示; 2.添加图层样式--内阴影,参数如图所示 3.添加图层样式--内发光,参数如图所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5APkBp.html" rel="bookmark" class="title">python绘图方法实例入门</a>
					<div>
						  本文实例讲述了python绘图方法.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBv8jb.html" rel="bookmark" class="title">Word2013如何为页面添加边框的格式</a>
					<div>
						  为页面添加边框的格式的步骤如下: 步骤一:启动Word2013,打开一份文档,单击菜单栏--设计--页面边框,这里值得注意的是Word2013页面边框设置选项是在设计选项卡中,其他版本则是在页面布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oWEDb.html" rel="bookmark" class="title">Word怎样制作资产标签</a>
					<div>
						  1.启动Word2007,打开资产标签的模板,点击菜单栏--邮件--选择收件人,使用现有列表. 2.弹出选取数据源对话框,选择制作资产标签-源数据.xls,打开它. 3.光标定位到第一格资产名称后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZVv4b.html" rel="bookmark" class="title">Windows 8 IE10 出现&OpenCurlyDoubleQuote;IE已停止工作&rdquo;的解决办法</a>
					<div>
						  一打开IE10就提示&quot;IE已停止工作&quot;,如下图: 解决方案: 方法一: 1. 打开控制面板---网络和Internet---Internet选项---高级---重置; 2. 删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7YYxp.html" rel="bookmark" class="title">python检测远程端口是否打开的方法&lowbar;python</a>
					<div>
						本文实例讲述了python判断远程端口是否打开的方法.分享给大家供大家参考.具体实现方法如下: import socket sk = socket.socket(socket.AF_INET, soc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQQaqp.html" rel="bookmark" class="title">jsp-JSP中怎样让一个按钮只处理对应行的数据？</a>
					<div>
						问题描述 JSP中怎样让一个按钮只处理对应行的数据? &lt;% Connection conn=null; Statement stat=null; ResultSet rs=null; Class ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjmNVp.html" rel="bookmark" class="title">《OpenGL编程指南（原书第9版）》&mdash;&mdash;2&period;7　独立的着色器对象</a>
					<div>
						2.7 独立的着色器对象 高级技巧 在OpenGL 4.1版本之前(不考虑扩展功能),在应用程序中,同一时间只能绑定一个着色器程序.如果你的程序需要使用多个片元着色器来处理来自同一个顶点着色器的几何体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN2eQz.html" rel="bookmark" class="title">Quartz教程三：Job与JobDetail介绍</a>
					<div>
						原文链接 | 译文链接 | 翻译:nkcoder | 校对: 本系列教程由quartz-2.2.x官方文档翻译.整理而来,希望给同样对quartz感兴趣的朋友一些参考和帮助,有任何不当或错误之处,欢迎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmNWvz.html" rel="bookmark" class="title">Shared Preferences KEY&lowbar;FIRST&lowbar;RUN 不能在 android 1&period;6上运行</a>
					<div>
						问题描述 Shared Preferences KEY_FIRST_RUN 不能在 android 1.6上运行 我使用下面的代码来检查应用程序是否是第一次运行: SharedPreferences  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rrv3b.html" rel="bookmark" class="title">ajax-这种情况要成功之后，清楚&num;export的样式，该怎么写呢？</a>
					<div>
						问题描述 这种情况要成功之后,清楚#export的样式,该怎么写呢? //导出 $(&quot;#export&quot;).click(function () { $(&quot;.expIcon& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0YZQM.html" rel="bookmark" class="title">技嘉GA-F2A75M-D3H主板独家双UEFI BIOS专利设计</a>
					<div>
						•技嘉独家3D BIOS技术与双UEFI BIOS专利设计•技嘉独家「第四代超耐久技术」经典版,高效能高质量用料•支持Socket FM2 AMD A系列/ Athlon系列处理器•搭载AMD Rad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Zj3dp.html" rel="bookmark" class="title">怎样在C&num;中导出&sol;导入数据&lpar;急求原代码&rpar;&quest;&quest;</a>
					<div>
						问题描述 怎样在C#中导出/导入数据(急求原代码)??各位大哥.大姐知道的麻烦帮下小弟. 解决方案 解决方案二:你说的不对啊,C#可以实现数据的导出/导入你的数据在哪里,是数据库的话,是哪个厂商的?S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ7EYp.html" rel="bookmark" class="title">中电信中高层调整 多省公司一把手更换</a>
					<div>
						[TechWeb报道]12月9日消息,知情人士透露,中国电信新一轮中高层调整已基本结束,涉及近多名省公司和总部部门负责人.一下是调整详细情况:鲁东明接任中国电信办公厅主任中国通信服务公司总经理郑奇宝将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodLwjM.html" rel="bookmark" class="title">我想用asp&period;net&plus;sqlserver做一个统计系统，谁能帮帮我？</a>
					<div>
						问题描述 我想利用asp.net+sqlserver做一个统计系统,设想是这样的:用asp.net做一个系统,连接服务器的sqlserver数据库,也就是让每个部门每个月通过局域网键入网址报送原始数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRDaAp.html" rel="bookmark" class="title">arcmap标注道路的文字随道路倾斜</a>
					<div>
						问题描述 arcmap标注道路的文字随道路倾斜,字体模糊,但是水平标注的时候南北向的道路又不好看,有没有办法让文字标注的每个文字是水平的,而且又沿着道路方向标注呢?前提不能用标记,只能用标注. 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWrqjM.html" rel="bookmark" class="title">MySQL &lbrack;ERROR&rsqb;  Table &amp;&num;039&semi;mysql&period;user&amp;&num;039&semi; doesn&amp;&num;039&semi;t exist</a>
					<div>
						    一次源码新装的mysql,由于没有复制my-default.cnf到/etc/my.cnf位置,在启动mysql的时候碰到了无法打开mysql.user表的错误.具体错误为:[ERROR] F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22EwQb.html" rel="bookmark" class="title">Relative Orientation 与fundamental essential matrix</a>
					<div>
						   由于&lt;Hartley, Zisserman ...&gt;书太厚,啃不动.所以最近回头看youtube上的德国鬼子视频, 补习机器视觉最基础的知识.所以本次博文,没有算法,没有代码,纯粹的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nGa6z.html" rel="bookmark" class="title">一文读懂物联网、云计算与大数据的关系</a>
					<div>
						ARM是微处理器行业的一家知名企业,设计了大量高性能.廉价.耗能低的RISC处理器.相关技术及软件.技术具有性能高.成本低和能耗省的特点.适用于多种领域,比如嵌入控制.消费/教育类多媒体.DSP和移动 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
